Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Конвертор fb2->html не читает библиотеку (Было:Пытаюсь запустить читалку...)  (Прочитано 462 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ajk

  • Автор темы
  • Участник
  • *
  • Сообщений: 107
    • Просмотр профиля
Пытаюсь запустить читалку PyBookReader, но не хватает библиотеки libxslt.
На компе при этом нашел библиотеку libxslt1.1, переписал строчку в коде.
Тогда программка выдает ошибку:
   import 'libxslt1.1'
                     ^
SyntaxError: invalid syntax
Пробовал в кавычках указывать, тоже не катит.
Или библиотеку ставить правильную? Как?
Или строчку правильно в Питоне писать? Тоже, как?

Спасибо!
Александр
« Последнее редактирование: 12 Сентябрь 2014, 15:00:51 от ajk »

Оффлайн suslikk

  • Старожил
  • *
  • Сообщений: 2362
    • Просмотр профиля
Re: Пытаюсь запустить читалку PyBookReader
« Ответ #1 : 11 Сентябрь 2014, 13:35:28 »
ajk, ну эта программа с 2006 года не обновляется и возможно она и не запуститься...

Может стоит найти замену?
Нарисуй свой город на openstreetmap.org

Оффлайн ajk

  • Автор темы
  • Участник
  • *
  • Сообщений: 107
    • Просмотр профиля
Re: Пытаюсь запустить читалку PyBookReader
« Ответ #2 : 11 Сентябрь 2014, 18:20:47 »
Ну..., может быть. Но она "тупо" в тексте Питона... И работает в консоли. Где я такое найду быстро?

Там же просто строчка импорта не правильно написана. Может быть кто-то надоумит. И у меня получится.

Александр.

Оффлайн Aleksandru

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 1853
    • Просмотр профиля
Re: Пытаюсь запустить читалку PyBookReader
« Ответ #3 : 11 Сентябрь 2014, 19:46:18 »
Запускается она без установки, у меня по крайней мере.

(Нажмите, чтобы показать/скрыть)

Вот программа с выполненным make: https://yadi.sk/d/y7bikIevbRgHD
Запускать $ ./pybr
Intel Core i3-3220 3.30GHz, GeForce GT 1030, MSI H61M-P20, 8GB RAM, SAMSUNG_MZMPC032- Kubuntu 18.04-х64

Оффлайн ajk

  • Автор темы
  • Участник
  • *
  • Сообщений: 107
    • Просмотр профиля
Re: Пытаюсь запустить читалку PyBookReader
« Ответ #4 : 12 Сентябрь 2014, 10:31:59 »
Спасибо за ..., но ...

1. Эта штучка тоже не катит:ajk@ubuntu:/usr/share/nginx/html/sb1555old/PyBookReader/PyBookReader-0.5.0$ ./pybr
/usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:57: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
Traceback (most recent call last):
  File "./pybr", line 23, in <module>
    main()
  File "/home/sb1555old/www/PyBookReader/PyBookReader-0.5.0/pybookreader/main.py", line 29, in main
    from mainwindow import PyBookReader
  File "/home/sb1555old/www/PyBookReader/PyBookReader-0.5.0/pybookreader/mainwindow.py", line 8, in <module>
    import gtk, gtk.glade, pango, gobject
ImportError: No module named glade
И я пока даже не могу толком узнать установлен ли у меня ГТК. Я пока пользуюсь на уровне юзера. На большее знаний ещё нет. Правда, вот такая матата имеется: /usr/lib/python2.7/dist-packages/gtk-2.0/gtk
2. Я не правильно поставил вопрос. Из этого дела мне нужна в основном консольная конвертилка fb2html.py, которая у автора лежит в дополнениях http://pybookreader.narod.ru/misc.html

Александр

 

Страница сгенерирована за 0.057 секунд. Запросов: 24.